Please note: Internet Explorer 6 requires Windows 98 or greater.
If you wish to download Internet Explorer 5.5, you can do so here.